Skip to content

Create and update users (bulk)

post

/users/track/bulk

Use this endpoint to record custom events and purchases and update user profile attributes in bulk.

When to use this endpoint

Like the /users/track endpoint, you can use this endpoint to update user profiles. This endpoint is better suited for bulk updates:

  • Larger requests: Send up to 1,000 users per request, so you can make fewer requests for large backfills and syncs.
  • Prioritization: During peak traffic conditions, requests to /users/track are prioritized over requests to /users/track/bulk.

Use this endpoint when you’re backfilling many user profiles during onboarding, or syncing large volumes of profiles as part of a daily sync.

Frequently asked questions

Should I use this endpoint or /users/track?

Use both endpoints based on your use case:

  • For large backfills and syncs, use /users/track/bulk.
  • For real-time use cases, use /users/track.

What identifiers can I use in /users/track/bulk?

For each request object, include one of external_id, braze_id, user_alias, email, or phone.

Can I include attributes, events, and purchases in one request?

Yes. Include any mix of attributes, events, and purchases, up to your account’s combined request object limit.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!